package com.saye.hospitalgd.mapper.system;

import com.saye.hospitalgd.model.UserRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserRoleMapper {

    /**
     * 插入用户角色表
     */
    public int insertUserRole(String userId, String roleId);

    /**
     * 根据userId删除记录
     */
    public void deleteUserRole(String userId);

    // 根据userId查询记录
    public List<UserRole> selectUserRoleByUserId(String userId);

    // 根据roleId查询记录
    public List<UserRole> selectUserRoleByRoleId(String roleId);

    int insertNewUserRole(String userId, String roleId, String userRoleId);
}
